%define major   0.8
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           yaml-cpp
Version:        0.8.0
Release:        %mkrel 2
Summary:        A YAML parser and emitter for C++
Group:          System/Libraries
License:        MIT
URL:            https://github.com/jbeder/yaml-cpp
Source0:        https://github.com/jbeder/yaml-cpp/archive/%{version}/%{name}-%{version}.tar.gz
# Add cstdint.h to src/emitterutils.cpp
Patch0:         yaml-cpp-Fix-gcc15-include.patch
BuildRequires:  cmake
BuildRequires:  ninja

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake -GNinja \
    -DCMAKE_INSTALL_DATADIR=%{_libdir} \
    -DYAML_BUILD_SHARED_LIBS=ON \
    -DYAML_CPP_BUILD_TESTS=OFF \
    -DYAML_CPP_BUILD_TOOLS=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat May 17 2025 daviddavid <daviddavid> 0.8.0-2.mga10
+ Revision: 2184141
- add patch to fix build with gcc 15 (thanks to Aurelian R)

* Thu Apr 25 2024 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2061082
- new version: 0.8.0
- now libmajor is 0.8

* Mon Dec 26 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1926963
- new version 0.7.0

* Thu Mar 17 2022 umeabot <umeabot> 0.6.3-3.mga9
+ Revision: 1795210
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1536553
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Oct 19 2019 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1454569
- new version: 0.6.3

* Mon Nov 19 2018 akien <akien> 0.6.2-1.mga7
+ Revision: 1331886
- Version 0.6.2, bumps soname (0.6)
- Add patch for CVE-2017-5950 (mga#23695)

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302019
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 akien <akien> 0.5.3-1.mga7
+ Revision: 1124268
- Version 0.5.3

* Sat Feb 13 2016 umeabot <umeabot> 0.5.1-6.mga6
+ Revision: 959355
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 joequant <joequant> 0.5.1-5.mga6
+ Revision: 868953
- rebuild with new gcc api

* Mon Aug 24 2015 cjw <cjw> 0.5.1-4.mga6
+ Revision: 868952
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 744074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-2.mga5
+ Revision: 690825
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 akien <akien> 0.5.1-1.mga5
+ Revision: 651807
- Version 0.5.1

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 520869
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- add notice

* Mon Jan 14 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 387547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.3.0-1.mga3
+ Revision: 306621
- fix installation
- imported package yaml-cpp

